Fixing LMCompatibilityLevel Problems with the Workspot Windows Client

Robert Plamondon -

Problem

The Workspot RD Gateways will reject connection attempts from Windows Client devices with an LMCompatibilityLevel in the range of 0-2, because these have security settings incompatible with modern best practices.

Requirements

To work with Workspot gateways, LMCompatibilityLevel must set to 3 or 5. The two settings are equivalent as far as Workspot gateways are concerned. A value of 3 is more compatible with older infrastructure; a value of 5 is more secure.

(In recent Windows releases, the system default will be one of these values, so if LMCompatibilityLevel is undefined, that will also work.)

Procedure

LMCompatibilityLevel can be set in group policies or in the Registry.

  • Group Policy: Computer Configuration\Windows Settings\Security Settings\Local Policies\Security Options
  • Registry: HKLM\System\CurrentControlSet\Control\Lsa\LmCompatibilityLevel

Related Documents

 

Have more questions? Submit a request

Comments

Powered by Zendesk